import request from '@/utils/request'

// 查询定位日志列表
export function listLocationLog(query) {
  return request({
    url: '/system/locationLog/list',
    method: 'get',
    params: query
  })
}

// 查询定位日志详细
export function getLocationLog(locationId) {
  return request({
    url: '/system/locationLog/' + locationId,
    method: 'get'
  })
}

// 新增定位日志
export function addLocationLog(data) {
  return request({
    url: '/system/locationLog',
    method: 'post',
    data: data
  })
}

// 修改定位日志
export function updateLocationLog(data) {
  return request({
    url: '/system/locationLog',
    method: 'put',
    data: data
  })
}

// 删除定位日志
export function delLocationLog(locationId) {
  return request({
    url: '/system/locationLog/' + locationId,
    method: 'delete'
  })
}
